[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.InsertControl

Creates and stores a new band for the specified control.

## Declaration

Source position: extctrls.pp line 1659

`public procedure TCustomControlBar.InsertControl(`
`AControl: TControl;`
`Index: Integer`
`); override;`

## Arguments

`AControl` |  | Tool bar or tool button added to the new band in the control bar.
`Index` |  | Ordinal position in the bands where the control is inserted.

## Description

InsertControl is an overridden procedure used to create, initialize, and store a TCtrlBand instance for the specified control. InsertControl calls the inherited method, and creates and stores a new TCtrlBand instance for the control in AControl.

## See also

TWinControl.InsertControl |  | Inserts the specified control into the Controls property.